%Author: Pavan Tallapragada

function L3val = L3fun( t, eps, tslot, eps_rt, datacap, Par )

n = Par.n;
Islot = Par.Islot;
nbs = Par.nbs;
theta_bar = Par.theta_bar;
sigma1 = Par.sigma1;

if nbs(tslot) == inf
    L3val = -1;
    return;
end

tau_l = Islot(nbs(tslot)-1);

L3val = ( n*log2( exp( theta_bar*(tau_l - t) )*eps / eps_rt ) ) /...
        ( sigma1 * datacap );